# Uses of Class
jebl.evolution.sequences.GeneticCode

Packages that use GeneticCode
Package
Description
jebl.evolution.sequences

## Uses of GeneticCode in jebl.evolution.sequences

Fields in jebl.evolution.sequences declared as GeneticCode
Modifier and Type
Field
Description
`static final GeneticCode`
GeneticCode.`ALT_YEAST`
`static final GeneticCode`
GeneticCode.`ASCIDIAN_MT`
`static final GeneticCode`
GeneticCode.`BACTERIAL`
`static final GeneticCode`
GeneticCode.`BLEPHARISMA_NUC`
`static final GeneticCode`
GeneticCode.`CILIATE`
`static final GeneticCode`
GeneticCode.`ECHINODERM_MT`
`static final GeneticCode`
GeneticCode.`EUPLOTID_NUC`
`static final GeneticCode`
GeneticCode.`FLATWORM_MT`
`static final GeneticCode[]`
GeneticCode.`GENETIC_CODES`
Deprecated.
use `GeneticCode.getGeneticCodes()` instead
`static final GeneticCode`
GeneticCode.`INVERTEBRATE_MT`
`static final GeneticCode`
GeneticCode.`MOLD_PROTOZOAN_MT`
`static final GeneticCode`
GeneticCode.`MYCOPLASMA`
`static final GeneticCode`
GeneticCode.`UNIVERSAL`
`static final GeneticCode`
GeneticCode.`VERTEBRATE_MT`
`static final GeneticCode`
GeneticCode.`YEAST`
Methods in jebl.evolution.sequences that return GeneticCode
Modifier and Type
Method
Description
`static GeneticCode[]`
GeneticCode.`getGeneticCodesArray()`
`static GeneticCode`
GeneticCode.`valueOf(int NCBITranslationTableNumber)`
`static GeneticCode`
GeneticCode.`valueOf(String name)`
Methods in jebl.evolution.sequences that return types with arguments of type GeneticCode
Modifier and Type
Method
Description
`static Iterable<GeneticCode>`
GeneticCode.`getGeneticCodes()`
Returns an iterable that allows you to iterate over all the standard genetic codes
Methods in jebl.evolution.sequences with parameters of type GeneticCode
Modifier and Type
Method
Description
`static String`
Utils.`translate(String nucleotideSequence, GeneticCode geneticCode)`
A wrapper for `Utils.translateCharSequence(CharSequence,GeneticCode)` that takes a nucleotide sequence as a String only rather than a CharSequence.
`static Sequence`
Utils.`translate(Sequence sequence, GeneticCode geneticCode)`
Translates a given `Sequence` to a corresponding `Sequence` under the given genetic code.
`static Sequence`
Utils.`translate(Sequence sequence, GeneticCode geneticCode, int readingFrame)`
Translates a given `Sequence` to a corresponding `Sequence` under the given genetic code.
`static AminoAcidState[]`
Utils.`translate(State[] states, GeneticCode geneticCode)`
Translates each of a given sequence of `NucleotideState`s or `CodonState`s to the `AminoAcidState` corresponding to it under the given genetic code.
`static AminoAcidState[]`
Utils.`translate(State[] states, GeneticCode geneticCode, int readingFrame)`
Translates each of a given sequence of `NucleotideState`s or `CodonState`s to the `AminoAcidState` corresponding to it under the given genetic code.
`static String`
Utils.`translateCharSequence(CharSequence nucleotideSequence, GeneticCode geneticCode)`
Translates the given nucleotideSequence into an amino acid sequence string, using the given geneticCode.
Constructors in jebl.evolution.sequences with parameters of type GeneticCode
Modifier
Constructor
Description
``
`TranslatedSequence(Sequence source, GeneticCode geneticCode)`
Create a TranslatedSequence from a source codon or nucleotide sequence
``
`TranslatedSequence(Sequence source, GeneticCode geneticCode, int frame)`
Create a TranslatedSequence from a source codon or nucleotide sequence